Package org.bukkit.block

# Interface Lectern

All Superinterfaces:
  `BlockInventoryHolder`, `BlockState`, `InventoryHolder`, `Metadatable`, `PersistentDataHolder`, `TileState`

public interface Lectern extends TileState, BlockInventoryHolder
Represents a captured state of a lectern.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Inventory`
`getInventory()`
Get the object's inventory.
`int`
`getPage()`
Get the current lectern page.
`@NotNull Inventory`
`getSnapshotInventory()`
`void`
`setPage(int page)`
Set the current lectern page.

### Methods inherited from interface org.bukkit.inventory.BlockInventoryHolder

`getBlock`

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getDrops, getDrops, getDrops, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer, isSnapshot`

## Method Details

### getPage

int getPage()
Get the current lectern page.

Returns:
  current page

### setPage

void setPage(int page)
Set the current lectern page. If the page is greater than the number of pages of the book currently in the inventory, then behavior is undefined.

Parameters:
  `page` - new page

### getInventory

@NotNull @NotNull Inventory getInventory()
Description copied from interface: `InventoryHolder`
Get the object's inventory.

Specified by:
  `getInventory` in interface `InventoryHolder`
Returns:
  inventory
See Also:
  - `Container.getInventory()`

### getSnapshotInventory

@NotNull @NotNull Inventory getSnapshotInventory()

Returns:
  snapshot inventory
See Also:
  - `Container.getSnapshotInventory()`